<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2OpeningHoursArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2OpeningHours
     */
    private $items;

    public function getItems(): CParcelShop2OpeningHours
    {
        return $this->items;
    }

    public function withItems(CParcelShop2OpeningHours $items): CParcelShop2OpeningHoursArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
